QueryConfigService.MethodAuthorizer.Parameter (Apache Geode 1.13.0)
Date: 2020-09-07

org.apache.geode.cache.query.management.configuration

## Class QueryConfigService.MethodAuthorizer.Parameter

- java.lang.Object
- - org.apache.geode.cache.query.management.configuration.QueryConfigService.MethodAuthorizer.Parameter

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    QueryConfigService.MethodAuthorizer

      public static class QueryConfigService.MethodAuthorizer.Parameter
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="parameter-value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `parameterValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParameterValue()` Gets the value of the parameter-value property.
    `void` | `setParameterValue(String value)` Sets the value of the parameter-value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameterValue

          protected String parameterValue

  - ### Constructor Detail

    - #### Parameter

          public Parameter()

  - ### Method Detail

    - #### getParameterValue

          public String getParameterValue()

      Gets the value of the parameter-value property. possible object is `String`

    - #### setParameterValue

          public void setParameterValue(String value)

      Sets the value of the parameter-value property. allowed object is `String`